- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Attributes

# AttributeSliderWithCheckbox Class Reference

Search for all occurrences

## Detailed Description

A widget which is used to display and alter the value for a bool attribute.

Definition at line 377 of file widgets.h.

`#include <widgets.h>`

Inheritance diagram for AttributeSliderWithCheckbox:
[legend]

List of all members.

## Public Slots
void | OnChange (void)
## Public Member Functions
| AttributeSliderWithCheckbox (QWidget *pParent, int iWidth, acheckablefloat *pAttribute)
## Protected Attributes
QLabel * | m_pLabel
QSlider * | m_pSlider
QLineEdit * | m_pEditBox
QGroupBox | m_cGroupBox

## Constructor & Destructor Documentation

AttributeSliderWithCheckbox | ( | QWidget * | pParent,
|  | int | iWidth,
|  | acheckablefloat * | pAttribute
| ) |  |

## Member Function Documentation

void OnChange | ( | void |  | ) | `[slot]`

Search for all occurrences

## Member Data Documentation

QLabel* m_pLabel `[protected]`

Search for all occurrences

Definition at line 384 of file widgets.h.

QSlider* m_pSlider `[protected]`

Search for all occurrences

Definition at line 385 of file widgets.h.

QLineEdit* m_pEditBox `[protected]`

Search for all occurrences

Definition at line 386 of file widgets.h.

QGroupBox m_cGroupBox `[protected]`

Search for all occurrences

Definition at line 387 of file widgets.h.

The documentation for this class was generated from the following file:

- Mudbox/widgets.h

AttributeSliderWithCheckbox AttributeSliderWithCheckbox AttributeSliderWithCheckbox AttributeSliderWithCheckbox AttributeSliderWithCheckbox AttributeSliderWithCheckbox AttributeSliderWithCheckbox AttributeSliderWithCheckbox AttributeSliderWithCheckbox AttributeSliderWithCheckbox
AttributeSliderWithCheckbox AttributeSliderWithCheckbox AttributeSliderWithCheckbox AttributeSliderWithCheckbox AttributeSliderWithCheckbox AttributeSliderWithCheckbox AttributeSliderWithCheckbox AttributeSliderWithCheckbox AttributeSliderWithCheckbox AttributeSliderWithCheckbox